import express from 'express';
import { createProduct, getAllProducts, getSingleProduct } from '../controllers/productController.js';
import { protect } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/', protect, createProduct);
router.get('/', protect, getAllProducts);
router.get('/:id', protect, getSingleProduct);

export default router;